require("../../../_virtual/_rolldown/runtime.js");
let react = require("react");
//#region src/components/dataSourceComponents/hooks/useComponentId.ts
const useComponentId = (props) => {
	const { __id, componentId } = props;
	return (0, react.useMemo)(() => {
		return __id || componentId;
	}, [__id, componentId]);
};
//#endregion
exports.default = useComponentId;
